// SPDX-License-Identifier: Unlicense

#ifndef MIDI_H
#define MIDI_H

#include "configuration.h"

#ifdef SHR3D_MIDI

#include "type.h"

#include <vector>

namespace Midi
{
  void init();
#ifdef PLATFORM_ANDROID_SDL
  void tick();
#endif // PLATFORM_ANDROID_SDL
  void fini();

  void openDevice(i32 index);
  void closeDevice(i32 index);
}

#endif // SHR3D_MIDI

#endif // MIDI_H
